SeExpr

Functions
imageEditor.cpp File Reference
`#include <iostream>`
`#include <string>`
`#include <png.h>`
`#include <QApplication>`
`#include <QDialog>`
`#include <QVBoxLayout>`
`#include <QScrollArea>`
`#include <QLabel>`
`#include <QImage>`
`#include <QPushButton>`
`#include <QMessageBox>`
`#include <SeExpr2/Expression.h>`
`#include <SeExpr2/UI/ExprControlCollection.h>`
`#include <SeExpr2/UI/ExprEditor.h>`
`#include <SeExpr2/UI/ExprBrowser.h>`
`#include "ImageEditorDialog.h"`

Go to the source code of this file.

## Functions
double | clamp (double x)
int | main (int argc, char *argv[])

## Function Documentation

## ◆ clamp()

double clamp | ( | double | x | ) |

Definition at line 44 of file imageEditor.cpp.

References SeExpr2::max(), SeExpr2::min(), and x.

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 240 of file imageEditor.cpp.